<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Dto;

final class MigrationOption
{
    private readonly bool $dryRun;

    private readonly bool $truncate;

    private readonly ?array $tables;

    public function __construct(bool $dryRun, bool $truncate, ?array $tables = null)
    {
        $this->dryRun = $dryRun;
        $this->truncate = $truncate;
        $this->tables = $tables;
    }

    public function isDryRun(): bool
    {
        return $this->dryRun;
    }

    public function isTruncate(): bool
    {
        return $this->truncate;
    }

    public function getTables(): ?array
    {
        return $this->tables;
    }
}
